libraw1394: version 2.0.4
Prev |  | Next

# raw1394_new_handle_on_port

## Name

raw1394_new_handle_on_port -- create a new handle and bind it to a port

## Synopsis

``raw1394handle_t raw1394_new_handle_on_port` (int port);`

## Arguments

`port`

  port to connect to (same as argument to `raw1394_set_port`)

## Description

Same as `raw1394_new_handle`, but also binds the handle to the specified 1394 port. Equivalent to `raw1394_new_handle` followed by `raw1394_get_port_info` and `raw1394_set_port`. Useful for command-line programs that already know what port they want. If `raw1394_set_port` returns ESTALE, retries automatically.

The default device node is /dev/raw1394, but one can override the default by setting environment variable RAW1394DEV. However, if RAW1394DEV points to a non-existant or invalid device node, then it also attempts to open the default device node.

## Returns

the new handle on success or NULL on failure

Prev | Home | Next
raw1394_destroy_handle | Up | raw1394_busreset_notify